features:
  secondary:
    - name: "Real-time feedback for .gitlab-ci.yml in Web IDE"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/project/web_ide/index.html#syntax-highlighting'
      image_url: '/images/13_2/phikai-realtime-gitlabci-feedback.png'
      reporter: phikai
      stage: create
      categories:
        - 'Web IDE'
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/-/issues/218472'
      description: |
        GitLab CI is fast and highly configurable, but it can be hard to remember all the [configuration parameters](https://docs.gitlab.com/ee/ci/yaml/README.html#configuration-parameters), and the wrong typo can make your `.gitlab-ci.yml` file invalid. To make it easier to configure your GitLab CI pipeline, the Web IDE now provides real-time linting and completion when editing `.gitlab-ci.yml` files.

        Linting and completion feedback is provided inline in the Web IDE with tooltips to help understand why you're seeing an error. Currently, this feedback is based on a community-contributed [schema](http://json.schemastore.org/gitlab-ci) from [Schemastore](https://www.schemastore.org/json/), but we are continuing to evaluate a [built-in](https://gitlab.com/gitlab-org/gitlab/-/issues/218473) schema as part of GitLab.
